package com.ssj.bean.sys.picturepredeal.domain;

import org.springframework.format.annotation.DateTimeFormat;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author chchen
 * @date 2019/05/08
 */
@Entity
@Table(name = "scon_picture_ai_predeal")
public class PicturePreDeal extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 作业图片id
     */
    private String homeworkPictureId;
    /**
     * 任务状态 0请求中， 1请求完成, 2请求失败
     */
    private int taskStatus = 0;

    /**
     * 处理标志， 0无数据成功返回，1口算题返回， 2关联练习册成功返回
     */
    private Integer dealFlag;

    /**
     * 口算题路径
     */
    private String path;

    /**
     * 练习册id
     */
    private String bookId;
    /**
     * 单元id
     */
    private String unitId;

    /**
     * 课时id
     */
    private String moduleId;

    /**
     * 练习册页码
     */
    private String bookPageNo;

    private Date createTime;

    private Date updateTime;

    /**
     * 请求类型，0 page,搜页码，1 question 搜题目
     */
    private int requestType;

    private String questionIds;

    private String response;

    private String exerciseBookId;

    @Column(updatable = false)
    public String getHomeworkPictureId() {
        return homeworkPictureId;
    }

    public void setHomeworkPictureId(String homeworkPictureId) {
        this.homeworkPictureId = homeworkPictureId;
    }

    public int getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(int taskStatus) {
        this.taskStatus = taskStatus;
    }

    public Integer getDealFlag() {
        return dealFlag;
    }

    public void setDealFlag(Integer dealFlag) {
        this.dealFlag = dealFlag;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getBookId() {
        return bookId;
    }

    public void setBookId(String bookId) {
        this.bookId = bookId;
    }

    public String getUnitId() {
        return unitId;
    }

    public void setUnitId(String unitId) {
        this.unitId = unitId;
    }

    public String getModuleId() {
        return moduleId;
    }

    public void setModuleId(String moduleId) {
        this.moduleId = moduleId;
    }

    public String getBookPageNo() {
        return bookPageNo;
    }

    public void setBookPageNo(String bookPageNo) {
        this.bookPageNo = bookPageNo;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getResponse() {
        return response;
    }

    public void setResponse(String response) {
        this.response = response;
    }

    public int getRequestType() {
        return requestType;
    }

    public void setRequestType(int requestType) {
        this.requestType = requestType;
    }

    public String getQuestionIds() {
        return questionIds;
    }

    public void setQuestionIds(String questionIds) {
        this.questionIds = questionIds;
    }

    public String getExerciseBookId() {
        return exerciseBookId;
    }

    public void setExerciseBookId(String exerciseBookId) {
        this.exerciseBookId = exerciseBookId;
    }
}
